const APP_DISPLAY_NAME = "Quote Colors";
const APP_NAME = "quotecolors";
const APP_PACKAGE = "/quotecolors";
const APP_VERSION = "0.1c";

const APP_JAR_FILE = "quotecolors.jar";
const APP_CONTENT_FOLDER = "content/messenger-quotecolors/";
const APP_LOCALE_FOLDER  = "locale/en-US/messenger-quotecolors/";

const APP_SUCCESS_MESSAGE = "U moet misschien Mozilla Thunderbird eerst herstarten.";

const INST_TO_PROFILE = "Wilt u "+APP_DISPLAY_NAME+" in uw profiel installeren?\nDit betekent dat het niet opnieuw hoeft te worden genstalleerd wanneer u Mozilla Thunderbird vernieuwt.\n(Klik Annuleren als u "+APP_DISPLAY_NAME+" wilt installeren in uw Thunderbirdmap).";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

// profile installs only work since 2003-03-06
var instToProfile = confirm(INST_TO_PROFILE);

var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null)

if(err == SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	if(instToProfile) {
  	registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER);
  	registerChrome(LOCALE  | PROFILE_CHROME, jar, APP_LOCALE_FOLDER);
  } else {
  	registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
  	registerChrome(LOCALE  | DELAYED_CHROME, jar, APP_LOCALE_FOLDER);
  }
	err = performInstall();
	if(err == SUCCESS || err == 999) {
		alert(APP_DISPLAY_NAME+" "+APP_VERSION+" is succesvol genstalleerd.\n"+APP_SUCCESS_MESSAGE);
	} else {
		alert("Installeren mislukt. Error code:" + err);
		cancelInstall(err);
	}
} else {
	alert("Mislukt te creren " +APP_JAR_FILE +"\n"
		+"U heeft waarschijnlijk niet de benodigde rechten \n"
		+"(schrijfrechten voor uw profiel of chromemap). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
